
body{
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    background-color: black;
    color: white;
}


.name{
    font-size: 40px;
    font-weight: bolder;
    margin-left: 2rem;
    color:white;
}

.name:hover{
    color:black;
}

a{
    text-decoration: none;
}

.p-info{
    display: flex;
    background-color:rgb(63, 63, 63);
    justify-content: space-between;
    align-items: center;
    margin: 10px;
    border-radius: 10px;
}

img{
    width: 170px;
    height: 200px;
    margin: 20px;
    border: 5px solid black;
    border-radius: 10px;
}

.info{
    background-color: rgb(63, 63, 63) ;
    display: flex;
    margin: 10px;
    justify-content: center;
    border-radius: 10px;
}


.contact{
    margin: 10px;
    font-weight: bold;;
}

.flex-box{
    display: flex;
    height: 500px;
}

h1{
    margin: 10px;
    text-align: center;
}
.sp{
    background-color: rgb(63, 63, 63);
    margin: 0px 10px 10px 10px;
    border-radius: 10px;
    max-width: 1600px;
    min-width: 300px;
    width: 50%;
    overflow-x: hidden;
    overflow-y:auto;
}


.list{
    margin: 10px;
}

li{
    margin: 10px
}

.hidden1, .hidden2, .hidden3, .hidden4, .hidden5{
    display: none;
}

.title1:hover .hidden1{
    display: block;
}

.title2:hover .hidden2{
    display: block;
}

.title3:hover .hidden3{
    display: block;
}

.title4:hover .hidden4{
    display: block;
}

.title5:hover .hidden5{
    display: block;
}

.skillbar{
    background-color: blanchedalmond;
    width: 100%
}


.bar{
    text-align: center;
    height: 1rem;
    width: 100%;
    border-radius: 10px;
    background-color: rgb(185, 185, 185);
}

.c, .js, .py, .css, .html, .ds{
    background-color: rgb(2, 173, 74);
    color:rgb(185, 185, 185);
    height: 1rem;
    width: 0%;
    transition: .5s;
    border-radius: 10px;
    
}

.cpp:hover .c{
    width: 80%;
    color: white;
}

.h:hover .html{
    width: 80%;
    color: white;

}
.p:hover .py{
    width: 60%;
    color: white;
}
.h:hover .html{
    width: 80%;
    color: white;

}
.cs:hover .css{
    width: 70%;
    color: white;

}
.j:hover .js{
    width: 50%;
    color: white;

}

.dsa:hover .ds{
    width: 60%;
    color: white
}

@media(max-width: 654px) {
    .p-info{
        flex-direction: column;
    }
    .flex-box{
        flex-direction: column;
        margin-right: 20px;
    }
    .sp{
        width: 100%;
    }
    .list{
        float: left;
    }
}

@media(max-width: 320px){
    .info{
        flex-direction: column;
        align-items: center;
    }
    .sp{
        align-items: center;
    }
}